For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
      • POSTCreate workflow template
      • DELDelete workflow template
      • GETGet workflow templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewWorkflow Templates

Get workflow templates

GET
/api/v2/templates
GET
/api/v2/templates
$curl https://app.launchdarkly.com/api/v2/templates \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "_id": "string",
5 "_key": "string",
6 "_creationDate": 1,
7 "_ownerId": "string",
8 "_maintainerId": "string",
9 "_links": {},
10 "name": "string",
11 "description": "string",
12 "stages": [
13 {
14 "_id": "12ab3c45de678910abc12345",
15 "conditions": [
16 {
17 "_id": "string",
18 "_execution": {
19 "status": "completed"
20 },
21 "description": "string",
22 "notifyMemberIds": [
23 "string"
24 ],
25 "allReviews": [
26 {
27 "_id": "string",
28 "kind": "string",
29 "creationDate": 1,
30 "comment": "string",
31 "memberId": "string",
32 "serviceTokenId": "string"
33 }
34 ],
35 "reviewStatus": "string",
36 "kind": "schedule",
37 "scheduleKind": "relative",
38 "waitDuration": 2,
39 "waitDurationUnit": "calendarDay",
40 "id": "12ab3c45de678910abc12345"
41 }
42 ],
43 "action": {
44 "kind": "patch",
45 "instructions": [
46 "[{\"kind\": \"turnFlagOn\"}]"
47 ]
48 },
49 "_execution": {
50 "status": "completed"
51 },
52 "name": "10% rollout on day 1"
53 }
54 ]
55 }
56 ]
57}

Get workflow templates belonging to an account, or can optionally return templates_endpoints.workflowTemplateSummariesListingOutputRep when summary query param is true

Was this page helpful?
Previous

Other

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

summarybooleanOptional
Whether the entire template object or just a summary should be returned
searchstringOptionalformat: "string"
The substring in either the name or description of a template

Response

Workflow templates list response JSON
itemslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error